Bug 434402 - iverilog failed massrebuild attempt for GCC 4.3
iverilog failed massrebuild attempt for GCC 4.3
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: iverilog (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Balint Cristian
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 11:09 EST by Jesse Keating
Modified: 2013-01-09 22:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-27 18:47:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 11:09:23 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=444186
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-03-01 15:24:13 EST
scratch build 482752
Comment 2 Jon Stanley 2008-03-02 01:12:10 EST
main.cc: In function 'void process_generation_flag(const char*)':
main.cc:193: error: 'strcmp' was not declared in this scope
main.cc: In function 'void parm_to_flagmap(const std::string&)':
main.cc:229: error: 'strdup' was not declared in this scope
main.cc: In function 'void read_iconfig_file(const char*)':
main.cc:320: error: 'strchr' was not declared in this scope
main.cc:325: error: 'strlen' was not declared in this scope
main.cc:340: error: 'strcmp' was not declared in this scope
main.cc:341: error: 'strdup' was not declared in this scope
main.cc:360: error: 'strdup' was not declared in this scope
main.cc:380: error: 'strdup' was not declared in this scope
main.cc:386: error: 'strdup' was not declared in this scope
main.cc:391: error: 'strdup' was not declared in this scope
main.cc:398: error: 'strcat' was not declared in this scope
main.cc:405: error: 'strdup' was not declared in this scope
main.cc:436: error: 'strdup' was not declared in this scope
main.cc:439: error: 'strdup' was not declared in this scope
main.cc: In function 'int main(int, char**)':
main.cc:498: error: 'strdup' was not declared in this scope
Comment 3 Balint Cristian 2008-03-27 18:47:44 EDT
fixed with newer snapshot, its in dist-F9 now.

Note You need to log in before you can comment on or make changes to this bug.